<?php
require('../fpdf181/fpdf.php');

class pdf extends FPDF
{
	public function header()
	{
	// Encabezado
	}

	public function MultiCellAll($yi,$xi,$ancho,$alto,$texto,$border,$alineacion,$relleno)
	{
	// Escribir varias columnas
	//MultiCell(ancho,alto,texto,border,alineacion,relleno)
		$x1 = 0;
		$y1 = $yi;
		$i  = 0;
		$maxSize = $yi;
		foreach ($texto as $posicion=>$columna)
		{
			$this->SetXY( $x1+$xi[$i], $y1);
			$this->MultiCell($ancho[$i], $alto[$i], $columna,$border[$i],$alineacion[$i],$relleno[$i]);
			$i += 1;
			if ( $maxSize < ($this->GetY()  ) )
				$maxSize = $this->GetY() ;
		}
		return ( $maxSize - $yi );
	}

	public function footer()
	{
		// pie de pagina
	}
}

function Ymd_dmY(string $fecha, string $separador = "/"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function Ymd_dmY1(string $fecha, string $separador = "/"):string
{
	$dia=substr($fecha,0,2);
	$mes=substr($fecha, 4,2);
	$ano=substr($fecha, 8,4);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function mes($nromes)
{
    $mes = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    return $mes[$nromes-1];
}

function mes1($nromes)
{
	$mess      = "";
	switch ($nromes) {
			case '01':
					$mess='ENERO';
			break;
			case '02':
					$mess='FEBRERO';
			break;
			case '03':
					$mess='MARZO';
			break;
		case '04':
					$mess='ABRIL';
			break;
			case '05':
					$mess='MAYO';
			break;
			case '06':
					$mess='JUNIO';
			break;
		case '07':
					$mess='JULIO';
			break;
			case '08':
					$mess='AGOSTO';
			break;
			case '09':
					$mess='SEPTIEMBRE';
			break;
		case '10':
					$mess='OCTUBRE';
			break;
			case '11':
					$mess='NOVIEMBRE';
			break;
			case '12':
					$mess='DICIEMBRE';
			break;
	}
    return $mess;
}

function formatoFecha($fecha)
{
	//$date   = date_format($fecha, 'F, jS Y');
	$date   =	date('d/ m/ Y');
	return $date;
}


function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}

function cabecera($fpdf,$empresa,$direccion,$telefono,$rif,$mes,$ano){
	$fpdf->AddPage('landscape', 'legal');
	$fpdf->SetMargins(10,30,20,20);
	
	$Fecha 			=date("m/d/yy");

	/* $fpdf	->SetFillColor(255,255,255);
	$fpdf	->SetLineWidth(1);
	$fpdf	->SetDrawColor(177,34,78);
	$fpdf	->SetTextColor(0,0,0);  */

  $fpdf	->SetFillColor(255,255,255);
	$fpdf	->SetLineWidth(1);
	$fpdf	->SetDrawColor(0,0,0);
	$fpdf	->SetTextColor(0,0,0);

	//Lado Izquierda
    $y1		=10;
	$x1		=10;
    $x      =$x1;
    $y		=$y1;
 	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', 'B', 12);
	$fpdf	->MultiCell(250, 5,  utf8_decode("3. ESTABLECIMIENTO DE EXPENDIDO DE BEBIDAS ALCOHOLICAS ADSCRITO A LA ADMINISTRACIÓN DE FINANZAS"), '0', 'L', 1);
    $y		=$fpdf->GetY();
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(22, 5,  'NOMBRE:', '0', 'L', 1);
    $x		=$x1+23;
    $fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(230, 5,  utf8_decode($empresa), '0', 'L', 1);
    $x		=$x1;
    $y		=$fpdf->GetY();
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(27, 5,  utf8_decode('DIRECCIÓN:'), '0', 'L', 1);
    $x		=$x1+28;
    $fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(230, 5,  utf8_decode($direccion), '0', 'L', 1);
	//Cuadrado
    $x      =$x1;
    $y		=$fpdf->GetY();
    $y2		=$fpdf->GetY();
    $fpdf	->SetXY($x,$y);
	$fpdf	->Rect($x-2,$y1-1,541,$y-7.5);

	//Lado derecho
    $y1		=10;
    $x1		=350;
    $x      =$x1;
    $y		=$y1;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', 'B', 12);
    $fpdf	->MultiCell(20, 5,  utf8_decode("FIRMA:"), '0', 'L', 0);
    $x		=$x1+23;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(60, 5,  '                                            ', 'B', 'L', 0);
    $x		=$x1+85;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(27, 5,  utf8_decode('REGISTRO:'), '0', 'L', 0);
    $x		=$x1+115;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(75, 5,  '                                            ', 'B', 'L', 0); 
    $x      =$x1;
    $y		=$fpdf->GetY();
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', 'B', 12);
    $fpdf	->MultiCell(22, 5,  utf8_decode("REGIÓN:"), '0', 'L', 0);
    $x		=$x1+23;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(60, 5,  '                                                ', 'B', 'L', 0);
    $x		=$x1+85;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(43, 5,  utf8_decode('SECTOR O UNIDAD:'), '0', 'L', 0);
    $x		=$x1+130;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(60, 5,  '                                            ', 'B', 'L', 0); 

	//Segundo Parrafo
        
    $y1		=$y2+7;
    $x1		=10;
    $x      =$x1;
    $y		=$y1;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', 'B', 12);
    $fpdf	->MultiCell(145, 5,  utf8_decode("REGISTRO DE CONTROL DE BEBIDAS ALCOHOLICAS DEL MES DE "), '0', 'L', 1);
    $x		=$x1+147;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
  	$fpdf	->MultiCell(25, 5,  $mes, '0', 'L', 1); 
	//$fpdf	->MultiCell(25, 5,  '', '0', 'L', 1); 
    $x		=$x1+173;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(30, 5,  'DEL: '.$ano, '0', 'L', 1);
	//$fpdf	->MultiCell(30, 5,  'DEL: 20', '0', 'L', 1);
    $x		=$x1+250;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(15, 5,  'RIF:', '0', 'L', 1);
    $x		=$x1+266;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', '', 12);
    $fpdf	->MultiCell(30, 5,  utf8_decode($rif), 'B', 'L', 1);

	//Tercer Parrafo
	$y3		=$fpdf->GetY();
	$y		=$y3+5;
    $x		=$x1+266;
    $fpdf	->SetXY($x,$y);
    $fpdf	->SetFont('Arial', 'B', 12);
    $fpdf	->MultiCell(145, 5,  utf8_decode("SALIDAS"), '0', 'L', 1);

    //Cuadrado
    $x      =$x1;
    $y		=$y3;
    $y2		=$fpdf->GetY();
    $fpdf	->SetXY($x,$y);
	$fpdf	->Rect($x-2,$y1-1,541,$y-28);

	//Tercer Parrafo
        
	$y1		=$y2+3;
	$x1		=10-2;
	$x      =$x1;
	$y		=$y1;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', 'B', 12);
	$fpdf	->MultiCell(60, 8,  utf8_decode("1 GUÍA O FACTURA"), '1', 'C', 1);
	$x		=$x1+59;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(120, 8,  utf8_decode("2. EXPEDIDOR"), '1', 'C', 1); 
	$x		=$x1+179;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(62, 8,  utf8_decode("4. ESPECIES ALCOHOLICAS"), '1', 'L', 1);
	$x		=$x1+241;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(116, 8,  utf8_decode("5. PROCEDENCIA"), '1', 'C', 1);
	$x		=$x1+357;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(68, 8,  utf8_decode("6. CONDUCTOR"), '1', 'C', 1);
	$x		=$x1+425;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(55, 8,  utf8_decode("7. VEHÍCULO"), '1', 'C', 1); 
	$y3		=$fpdf->GetY();
	$x		=$x1+480;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(29, 12,  utf8_decode(" 8. FECHA  DE EXPEDICIÓN"), '1', 'C', 1);
	$x		=$x1+509;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(32, 9,  utf8_decode("9. FIRMA DEL PROPIETARIO Y/O AUTORIZADO"), '1', 'C', 1);

	//Tercer Parrafo
	$x1		=10-2;
	$x      =$x1;
	$y		=$y3;
	$x		=$x1;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(30, 28,  utf8_decode("NÚMERO"), '1', 'C', 1);
	$x		=$x1+30;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(29, 28,  utf8_decode("FECHA"), '1', 'C', 1);
	$x		=$x1+59;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(40, 28,  utf8_decode("NOMBRE"), '1', 'C', 1);
	$x		=$x1+99;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(48, 28,  utf8_decode("DIRECCIÓN"), '1', 'C', 1);
	$x		=$x1+147;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(32, 14,  utf8_decode("N° DE REGISTRO"), '1', 'C', 1);
	$x		=$x1+179;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(26, 28,  utf8_decode("CLASE"), '1', 'C', 1);
	$x		=$x1+205;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(36, 14,  utf8_decode("DENOMINACIÓN COMERCIAL"), '1', 'C', 1);
	$x		=$x1+241;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(33, 9.3,  utf8_decode("FABRICANTE Y/O DISTRIBUIDOR"), '1', 'C', 1);
	$y		=$y3;
	$x		=$x1+274;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(42, 14,  utf8_decode("NACIONAL"), '1', 'C', 1);
	$y		=$fpdf->GetY();
	$x		=$x1+274;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(21, 14,  utf8_decode("LTS"), '1', 'C', 1);
	$x		=$x1+295;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(21, 14,  utf8_decode("GRADOS"), '1', 'C', 1);
	$y		=$y3;
	$x		=$x1+316;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(41, 14,  utf8_decode("IMPORTADOR"), '1', 'C', 1);
	$y		=$fpdf->GetY();
	$x		=$x1+316;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(20.5, 14,  utf8_decode("LTS"), '1', 'C', 1);
	$x		=$x1+336;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(21, 14,  utf8_decode("GRADOS"), '1', 'C', 1);
	$y		=$y3;
	$x		=$x1+357;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(38, 28,  utf8_decode("NOMBRE"), '1', 'C', 1);
	$x		=$x1+395;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(30, 14,  utf8_decode("CÉDULA DE IDENTIDAD"), '1', 'C', 1);
	$x		=$x1+425;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(26, 28,  utf8_decode("TIPO"), '1', 'C', 1);
	$x		=$x1+451;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 12);
	$fpdf	->MultiCell(29, 28,  utf8_decode("N° PLACA"), '1', 'C', 1);

}

function totales($fpdf,$totalventas,$ventasinivacontribuyente,$ivacontribuyente,$ventasinivanocontribuyente,$ivanocontribuyente){
	$y		=155;
	$x		=170;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(35, 4,utf8_decode("Totales:"), '0', 'R', 0);
	$x		=211;
	$fpdf	->Rect($x,$y-1,35,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(35, 4,number_format($totalventas, 2, ',', '.'), '0', 'R', 0);
	$x		=247;
	$fpdf	->Rect($x,$y-1,25,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(25, 4,number_format(0, 2, ',', '.'), '0', 'R', 0);
	$x		=273;
	$fpdf	->Rect($x,$y-1,30,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(30, 4,number_format($ventasinivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=304;
	$fpdf	->Rect($x,$y-1,14,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(14, 4,number_format(0, 2, ',', '.'), '0', 'R', 0);
	$x		=319;
	$fpdf	->Rect($x,$y-1,30,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(30, 4,number_format($ivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=350;
	$fpdf	->Rect($x,$y-1,30,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(30, 4,number_format($ventasinivanocontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=381;
	$fpdf	->Rect($x,$y-1,14,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(14, 4,number_format(0, 2, ',', '.'), '0', 'R', 0);
	$x		=396;
	$fpdf	->Rect($x,$y-1,30,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(30, 4,number_format($ivanocontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=427;
	$fpdf	->Rect($x,$y-1,30,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(30, 4,number_format($ivacontribuyente, 2, ',', '.'), '0', 'R', 0);

	$y		=160;
	$x		=2;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(120, 4,utf8_decode("Resumen de Debitos Fiscales"), '0', 'L', 1);
	$x		=125;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,utf8_decode("Base Imponible"), '0', 'R', 1);
	$x		=190;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,utf8_decode("Debito Fiscal"), '0', 'R', 1);
	$fpdf	->SetXY($x,$y);
	$x		=2;

	$y		=166;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(120, 4,utf8_decode("Retenciones Aplicadas"), '0', 'L', 0);
	$x		=190;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format(0, 2, ',', '.'), '0', 'R', 0);
	$x		=2;

	$y		=172;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(120, 4,utf8_decode("Ventas internas gravadas por alicuota general (contribuyentes) (16,00 %)"), '0', 'L', 0);
	$x		=125;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ventasinivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=190;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$fpdf	->SetXY($x,$y);
	$x		=2;

	$y		=178;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(120, 4,utf8_decode("Ventas internas gravadas por alicuota general (no contribuyentes) (16,00 %)"), '0', 'L', 0);
	$x		=125;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ventasinivanocontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=190;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ivanocontribuyente, 2, ',', '.'), '0', 'R', 0);
	$fpdf	->SetXY($x,$y);
	$x		=2;

	$y		=184;
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(120, 4,utf8_decode("Total ventas y débitos fiscales del período"), '0', 'R', 0);
	$x		=125;
	$fpdf	->Rect($x,$y-1,60,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ventasinivanocontribuyente+$ventasinivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$x		=190;
	$fpdf	->Rect($x,$y-1,60,0.3);
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(60, 4,number_format($ivanocontribuyente+$ivacontribuyente, 2, ',', '.'), '0', 'R', 0);
	$fpdf	->SetXY($x,$y);

	// //Rectangulo
	// $fpdf	->Rect(16,$y1-1,67,27);
	// $fpdf	->Rect(16,$y1+20,67,6);

}


// Se define el tamaño de hoja y margenes
$fpdf = new pdf('P','mm','legal',true);


require_once "../modelos/Consultas.php";
$venta		= 	new Consultas();
//Buscamos los datos de la compañia
$rsptac		=	$venta->datosempresa();
$regc		=	$rsptac->fetch_object();
$empresa    =	$regc->nombre;
$direccion	=	$regc->direccion;
$telefono   =	$regc->telefono;
$licencial	=	$regc->licenciadelicor;
$rif        =	"J-".$regc->num_documento;

$Fecha1						=Ymd_dmY($_GET["fi"]);

$fecha2						=explode("/", $Fecha1);
$mes							=$fecha2[1];
$ano							=$fecha2[2];
$dia							=$fecha2[0];

$mesn							=mes1($mes);

date_default_timezone_set('America/Caracas');
cabecera($fpdf,$empresa,$direccion,$telefono,$rif,$mesn,$ano);

//$fpdf	->Rect($x,$y+1,75,5);

//Ahora buscamos las ventas dentro de un rango de fecha
$rsptav	=	$venta->ventaslibrodeinventario($_GET["fi"],$_GET["ff"]);
$nro 	= 1;
$y1		= $fpdf->GetY()+4;
$y1i	= $fpdf->GetY()+4;
$x1		= 10-2;
$y		= $y1;
$x      = $x1;
$yy 	= [];



while($regv	=$rsptav->fetch_object()){
	
	if ($nro>16 or $y>210){
		$fpdf	->line($x1,$y1i-3,$x1,$y); 			//1
		$fpdf	->SetLineWidth(0.5);
		$fpdf	->line($x1+30,$y1i-3,$x1+30,$y);	//2
		$fpdf	->SetLineWidth(1);
		$fpdf	->line($x1+59,$y1i-3,$x1+59,$y);	//3
		$fpdf	->SetLineWidth(0.5);
		$fpdf	->line($x1+99,$y1i-3,$x1+99,$y);	//4
		$fpdf	->SetLineWidth(1);
		$fpdf	->line($x1+147,$y1i-3,$x1+147,$y);	//5
		$fpdf	->line($x1+179,$y1i-3,$x1+179,$y);	//6
		$fpdf	->line($x1+205,$y1i-3,$x1+205,$y);	//7
		$fpdf	->line($x1+241,$y1i-3,$x1+241,$y);	//8
		$fpdf	->line($x1+274,$y1i-3,$x1+274,$y);	//9
		$fpdf	->line($x1+295,$y1i-3,$x1+295,$y);	//10
		$fpdf	->line($x1+316,$y1i-3,$x1+316,$y);	//11
		$fpdf	->line($x1+336,$y1i-3,$x1+336,$y);	//12
		$fpdf	->line($x1+357,$y1i-3,$x1+357,$y);	//13	
		$fpdf	->line($x1+395,$y1i-3,$x1+395,$y);	//14
		$fpdf	->line($x1+425,$y1i-3,$x1+425,$y); 	//15
		$fpdf	->line($x1+451,$y1i-3,$x1+451,$y);	//16
		$fpdf	->line($x1+480,$y1i-3,$x1+480,$y);	//17
		$fpdf	->line($x1+509,$y1i-3,$x1+509,$y);	//18
		$fpdf	->line($x1+541,$y1i-3,$x1+541,$y);	//19 
		$nro 	= 1;
		cabecera($fpdf,$empresa,$direccion,$telefono,$rif,$mesn,$ano);
		$y1		= $fpdf->GetY()+4;
		$x1		=10-2;
		$y		=$y1;
		$x      =$x1;
	}
	$x      =$x1; 
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(28, 6,  utf8_decode($regv->num_comprobante), '0', 'L', 0);
	$yy[0] 	=$fpdf->GetY();
	$x      =$x1+30;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(28, 6,  utf8_decode($regv->fecha), '0', 'L', 0);
	$yy[1] 	=$fpdf->GetY();
	$x      =$x1+60;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	//Solo para chocomilk y bocatto
	$cliente = substr($regv->cliente, 0, 40);
	$fpdf	->MultiCell(38, 6,  utf8_decode($cliente), '0', 'L', 0);
	//$fpdf	->MultiCell(38, 6,  utf8_decode($empresa), '0', 'L', 0);
	$yy[2] 	=$fpdf->GetY();
	$x      =$x1+100;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	//Solo para chocomilk y bocatto
	$direccion = substr($regv->direccion, 0, 120);
	$fpdf	->MultiCell(46, 6,  utf8_decode($direccion), '0', 'L', 0); 
	$yy[3] 	=$fpdf->GetY();
	$x      =$x1+148;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	//Solo para chocomilk y bocatto
	$registro = substr($regv->nroregistro, 0, 40);
	$fpdf	->MultiCell(30, 6,  utf8_decode($registro), '0', 'L', 0);
	//$fpdf	->MultiCell(30, 6,  utf8_decode($licencial), '0', 'L', 0);
	$yy[4] 	=$fpdf->GetY();
	$x      =$x1+180;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(24, 6,  utf8_decode($regv->clase), '0', 'L', 0);
	$yy[5] 	=$fpdf->GetY();
	$x      =$x1+206;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(34, 6,  utf8_decode($regv->denominacion), '0', 'L', 0);
	$yy[6] 	=$fpdf->GetY();
	$x      =$x1+242;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(30, 6,  utf8_decode($regv->tipocliente), '0', 'L', 0);
	
	$litrosn=number_format($regv->cantidad*$regv->factorconversion*$regv->unidademedidad, 2, ',', '.');
	$gradosn=$regv->grados;
	$litrosi=0;
	$gradosi=0;
	if ($regv->idtipoarticulo==2) {
		$litrosi=number_format($regv->cantidad*$regv->factorconversion*$regv->unidademedidad, 2, ',', '.');
		$gradosi=$regv->grados;
		$litrosn=0;
		$gradosn=0;
	}


	$yy[7] 	=$fpdf->GetY();
	$x      =$x1+274;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(20, 6,  utf8_decode($litrosn), '0', 'L', 0);
	$yy[8] 	=$fpdf->GetY();
	$x      =$x1+296;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(20, 6,  utf8_decode($gradosn), '0', 'L', 0);
	$yy[9] 	=$fpdf->GetY();
	$x      =$x1+318;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(18, 6,  utf8_decode($litrosi), '0', 'L', 0);
	$yy[10] 	=$fpdf->GetY();
	$x      =$x1+338;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(18, 6,  utf8_decode($gradosi), '0', 'L', 0);
	$yy[11] 	=$fpdf->GetY();
	$x      =$x1+358;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(36, 6,  utf8_decode($regv->conductor), '0', 'L', 0);
	$yy[12] 	=$fpdf->GetY();
	$x      =$x1+396;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(28, 6,  utf8_decode($regv->cedula), '0', 'L', 0);
	$yy[13] 	=$fpdf->GetY();
	$x      =$x1+426;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(24, 6,  utf8_decode($regv->vehiculo), '0', 'L', 0);
	$yy[14] 	=$fpdf->GetY();
	$x      =$x1+452;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(27, 6,  utf8_decode($regv->placa), '0', 'L', 0);
	$yy[15] 	=$fpdf->GetY();
	$x      =$x1+482;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(26, 6,  utf8_decode($regv->fecha), '0', 'L', 0);
	$yy[16] 	=$fpdf->GetY();
	$x      =$x1+510;
	$fpdf	->SetXY($x,$y);
	$fpdf	->SetFont('Arial', '', 10);
	$fpdf	->MultiCell(30, 6,  utf8_decode(""), '0', 'L', 0);
	$yy[17] 	=$fpdf->GetY();
	
	$y		=$fpdf->GetY();
	foreach ($yy as $nrolineas) {
		if ($nrolineas>$y){
			$y = $nrolineas;
		}
	}
	$fpdf	->line($x1,$y,$x1+540,$y);
	$nro	= $nro+1;
		   
		
	
}

$fpdf	->line($x1,$y1i-3,$x1,$y); 			//1
		$fpdf	->SetLineWidth(0.5);
		$fpdf	->line($x1+30,$y1i-3,$x1+30,$y);	//2
		$fpdf	->SetLineWidth(1);
		$fpdf	->line($x1+59,$y1i-3,$x1+59,$y);	//3
		$fpdf	->SetLineWidth(0.5);
		$fpdf	->line($x1+99,$y1i-3,$x1+99,$y);	//4
		$fpdf	->SetLineWidth(1);
		$fpdf	->line($x1+147,$y1i-3,$x1+147,$y);	//5
		$fpdf	->line($x1+179,$y1i-3,$x1+179,$y);	//6
		$fpdf	->line($x1+205,$y1i-3,$x1+205,$y);	//7
		$fpdf	->line($x1+241,$y1i-3,$x1+241,$y);	//8
		$fpdf	->line($x1+274,$y1i-3,$x1+274,$y);	//9
		$fpdf	->line($x1+295,$y1i-3,$x1+295,$y);	//10
		$fpdf	->line($x1+316,$y1i-3,$x1+316,$y);	//11
		$fpdf	->line($x1+336,$y1i-3,$x1+336,$y);	//12
		$fpdf	->line($x1+357,$y1i-3,$x1+357,$y);	//13	
		$fpdf	->line($x1+395,$y1i-3,$x1+395,$y);	//14
		$fpdf	->line($x1+425,$y1i-3,$x1+425,$y); 	//15
		$fpdf	->line($x1+451,$y1i-3,$x1+451,$y);	//16
		$fpdf	->line($x1+480,$y1i-3,$x1+480,$y);	//17
		$fpdf	->line($x1+509,$y1i-3,$x1+509,$y);	//18
		$fpdf	->line($x1+541,$y1i-3,$x1+541,$y);	//19



$fpdf->OutPut('SalidaDeLicores','I');